# Get pdfDocuments
Retrieve the properties and relationships of a pdfDocument object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/salesInvoices({id})/pdfDocument
GET businesscentralPrefix/companies({id})/salesQuotes({id})/pdfDocument
GET businesscentralPrefix/companies({id})/salesCreditMemos({id})/pdfDocument
GET businesscentralPrefix/companies({id})/purchaseInvoices({id})/pdfDocument
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an pdfDocuments object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices({id})/pdfDocument
```
Response
Here's an example of the response.
```json
{
    "id": "5fd8a1c5-bde4-ea11-bbf2-00155df3a615",
    "parentId": "5fd8a1c5-bde4-ea11-bbf2-00155df3a615",
    "parentType": "Sales Invoice",
    "pdfDocumentContent@odata.mediaReadLink": "http://onbuyuka-azvm1.europe.corp.microsoft.com:7047/Navision_NAV/api/v2.0/companies(52e03390-bde4-ea11-bbf2-00155df3a615)/salesInvoices(5fd8a1c5-bde4-ea11-bbf2-00155df3a615)/pdfDocument/pdfDocumentContent"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_pdfdocument

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_pdfdocument_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_pdfdocument_get/
